跳到正文

call ​

Purpose ​

路由旧式 call 方法请求。

参数:api:string(仅接受 condenser_api);method:string(可路由的 condenser_api 方法之一:get_followers、get_following、get_followers_by_page、get_following_by_page、get_follow_count、get_content、get_content_replies、get_trending_tags、get_state、get_discussions_by_trending、get_discussions_by_hot、get_discussions_by_promoted、get_discussions_by_created、get_post_discussions_by_payout、get_comment_discussions_by_payout、get_discussions_by_blog、get_discussions_by_feed、get_discussions_by_comments、get_replies_by_last_update、get_discussions_by_author_before_date、get_blog、get_blog_entries、get_account_votes);params:array(被路由方法的参数)

其他方法将返回错误。

Parameters ​

PARAMETERS
json
[
  "condenser_api",
  "get_follow_count",
  [
    "steemit"
  ]
]

Example ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "call",
    "params": [
      "condenser_api",
      "get_follow_count",
      [
        "steemit"
      ]
    ],
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "account": "steemit",
  "follower_count": 3550,
  "following_count": 0
}